[API Reference](../README.md) > [ILogger](../interfaces/ILogger.md)



# Interface: ILogger


## Methods
<a id="debug"></a>

###  debug

► **debug**(message: *`string`*): `void`



*Defined in [loggingService.ts:18](https://github.com/daostack/arc.js/blob/f343aa24/lib/loggingService.ts#L18)*



Logs a debug message.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| message | `string`   |  The message to log. |





**Returns:** `void`





___

<a id="error"></a>

###  error

► **error**(message: *`string`*): `void`



*Defined in [loggingService.ts:39](https://github.com/daostack/arc.js/blob/f343aa24/lib/loggingService.ts#L39)*



Logs an error.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| message | `string`   |  The message to log. |





**Returns:** `void`





___

<a id="info"></a>

###  info

► **info**(message: *`string`*): `void`



*Defined in [loggingService.ts:25](https://github.com/daostack/arc.js/blob/f343aa24/lib/loggingService.ts#L25)*



Logs info.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| message | `string`   |  The message to log. |





**Returns:** `void`





___

<a id="warn"></a>

###  warn

► **warn**(message: *`string`*): `void`



*Defined in [loggingService.ts:32](https://github.com/daostack/arc.js/blob/f343aa24/lib/loggingService.ts#L32)*



Logs a warning.


**Parameters:**

| Param | Type | Description |
| ------ | ------ | ------ |
| message | `string`   |  The message to log. |





**Returns:** `void`





___


